Version Control System comparable to Bazaar required for CentOS 4.8 committed hosting web server

I have actually lately needed to have our committed web server rebuilt as core system documents were removed. Yet that's an additional tale ...

Before the restore, we were combining, branching, and also devoting adjustments to a variety of various tasks with Bazaar Currently it appears that the hosting firm has actually restored the web server at CentOs 4.8 as opposed to 5.0, which I presume it was in the past. According to the assistance team, Bazaar is not suitable with the new OS.

The assistance team have actually claimed:

I have actually mounted every one of the Bazaar. Dependences, nonetheless the missing out on dependences as an example;

  • Missing Dependency: libc.so.6 (GLIBC_2.4) is required by plan bzr

Is for a greater version of CentOS.

My inquiry is. Is this totally real and also exists any kind of means to get Bazaar working with Centos 4.8?

Otherwise, exist any kind of various other version control systems comparable to Bazaar?

Below is the log for the tried installment of Bazaar.

Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package bzr
Error: Missing Dependency: python(abi) = 2.4 is needed by package bzr
Error: Missing Dependency: rtld(GNU_HASH) is needed by package bzr
Error: Missing Dependency: libcrypto.so.6 is needed by package python-pycurl
Error: Missing Dependency: python(abi) = 2.4 is needed by package python-paramiko
Error: Missing Dependency: rtld(GNU_HASH) is needed by package python-pycurl
Error: Missing Dependency: python(abi) = 2.4 is needed by package python-pycurl
Error: Missing Dependency: libssl.so.6 is needed by package python-pycurl
Error: Missing Dependency: rtld(GNU_HASH) is needed by package python-crypto
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package python-crypto
Error: Missing Dependency: python(abi) = 2.4 is needed by package python-crypto
Error: Missing Dependency: python-abi = 2.4 is needed by package python-crypto
0
2019-05-04 08:55:02
Source Share
Answers: 2

If you actually require to remain on RHEL4/ CentOS4 (think of this, read my comment to your initial blog post ), you can find RPM's for at the very least git and also mercurial in EPEL for RHEL4. Both approach bazaar, yet do not have the Launchpad assimilation that (I assume ) Bazaar has.

0
2019-05-07 23:49:10
Source

You can install it from resources. I has plenty of dependences and also evidently some components appear to be created in C though. It appears nonetheless not specifically made complex. There is a rather thorough summary below :

http://wiki.bazaar.canonical.com/SourceDownloads

0
2019-05-07 23:09:36
Source